module libvorbis_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libvorbis
const libvorbis_path = "/usr/lib/libvorbis.so.0"
libvorbis_handle = C_NULL
get_libvorbis_path() = libvorbis_path
const libvorbis = "libvorbis.so.0"
export libvorbisenc
const libvorbisenc_path = "/usr/lib/libvorbisenc.so.2"
libvorbisenc_handle = C_NULL
get_libvorbisenc_path() = libvorbisenc_path
const libvorbisenc = "libvorbisenc.so.2"
export libvorbisfile
const libvorbisfile_path = "/usr/lib/libvorbisfile.so.3"
libvorbisfile_handle = C_NULL
get_libvorbisfile_path() = libvorbisfile_path
const libvorbisfile = "libvorbisfile.so.3"
function __init__()
    global libvorbis_handle = dlopen(libvorbis_path)
    global libvorbisenc_handle = dlopen(libvorbisenc_path)
    global libvorbisfile_handle = dlopen(libvorbisfile_path)
end
end
